services:
  _defaults:
    autowire: true      # Automatically injects dependencies in your services.
    autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.

  # SettingsController
  C4S\CoreBundle\Controller\Admin\SettingsController:
    class: C4S\CoreBundle\Controller\Admin\SettingsController
    public: true

  # Installer
  C4S\CoreBundle\Installer\Installer:
    class: C4S\CoreBundle\Installer\Installer
    public: true
    arguments:
      - '@Pimcore\Extension\Bundle\PimcoreBundleManager'
      - '@Pimcore\Bundle\CoreBundle\Command\Bundle\Helper\PostStateChange'

  # AttributeOptionsProvider
  c4s.optionsprovider:
    class: C4S\CoreBundle\Core\SelectOptionsProvider
    public: true